Bug 327661 - speed up boot with blind ethernet startup option
speed up boot with blind ethernet startup option
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 09:42 EDT by Curtis Doty
Modified: 2014-03-16 23:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 13:37:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2007-10-11 09:42:22 EDT
I'm not entirely sure of the wisdom in this. But on *my* networks where Fedora
box is statically configured with it's own address, it would be folly to allow
someone else to claim it. So forget about the 3 second delay asking the network
who else might have poached me.

--- ifup-eth.orig       2007-09-14 07:36:07.000000000 -0700
+++ ifup-eth    2007-10-08 10:50:46.000000000 -0700
@@ -263,10 +263,12 @@
     fi
     
     if ! LC_ALL=C ip addr ls ${REALDEVICE} | LC_ALL=C grep -q
"${IPADDR}/${PREFIX}" ; then
+       if [ ! "$BLINDSTART" ] ; then
         if ! arping -q -c 2 -w 3 -D -I ${REALDEVICE} ${IPADDR} ; then
            echo $"Error, some other host already uses address ${IPADDR}."
            exit 1
         fi
+       fi
         if ! ip addr add ${IPADDR}/${PREFIX} \
            brd ${BROADCAST:-+} dev ${REALDEVICE} ${SCOPE} label ${DEVICE}; then
            echo $"Error adding address ${IPADDR} for ${DEVICE}."

As you can see it's optional. And shaves a few seconds off boot; especially with
multiple interfaces. And we still wait politely for a dynamic address.
Comment 1 Bill Nottingham 2007-10-11 13:26:01 EDT
I'm actually planning a patch post-F8 that just removes most of the delay, while
doing the same thing.
Comment 2 Bug Zapper 2008-11-26 02:57:29 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Curtis Doty 2008-12-07 15:20:00 EST
Bill, was your idea NetworkManager? On my test f10 box with static net setup, I'm using only network service. Adding back the BLINDSTART hack was still needed to improve bootup speed.

--- ifup-eth.orig       2008-11-11 08:51:14.000000000 -0800
+++ ifup-eth    2008-12-07 10:07:57.000000000 -0800
@@ -256,10 +256,12 @@
     
     if [ "${REALDEVICE}" != "lo" ]; then
     if ! LC_ALL=C ip addr ls ${REALDEVICE} | LC_ALL=C grep -q "${IPADDR}/${PREFIX}" ; then
+       if [ ! "$BLINDSTART" ] ; then
         if ! /sbin/arping -q -c 2 -w 3 -D -I ${REALDEVICE} ${IPADDR} ; then
            echo $"Error, some other host already uses address ${IPADDR}."
            exit 1
         fi
+       fi
         if ! ip addr add ${IPADDR}/${PREFIX} \
            brd ${BROADCAST:-+} dev ${REALDEVICE} ${SCOPE} label ${DEVICE}; then
            echo $"Error adding address ${IPADDR} for ${DEVICE}."
Comment 4 Bug Zapper 2009-11-18 07:22:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bill Nottingham 2009-11-18 13:37:52 EST
Yeah, at this point I don't remember what the change was. In any case, NetworkManager supports system configurations now, and starts asynchronously, which speeds up boot. There are unlikely to be more changes in this area.

Note You need to log in before you can comment on or make changes to this bug.